Bug 1019777 - Missing new feature - RESTEasy Spring integration
Missing new feature - RESTEasy Spring integration
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: GA
: ---
Assigned To: Lucas Costi
Russell Dickenson
:
Depends On:
Blocks: 1018743
  Show dependency treegraph
 
Reported: 2013-10-16 07:40 EDT by Pavel Janousek
Modified: 2014-08-14 11:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:21:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Janousek 2013-10-16 07:40:39 EDT
RESTEasy Spring integration is missing in section New features.
Comment 2 John Doyle 2013-10-16 22:20:16 EDT
Here's the text for the new feature section.

Support for RESTEasy and Spring integration.

EAP now includes classes that enable the use of Spring dependency injection with JAX-RS resources.
Comment 3 Lucas Costi 2013-10-16 23:19:48 EDT
Added to the release notes XML in svn. Revision 93328
Comment 4 Petr Sakař 2013-10-17 02:27:11 EDT
May be would be better to use little bit different wording more in line with other features:

JAX-RS resources now can use Spring framework dependency injection
Comment 5 Lucas Costi 2013-10-17 02:48:56 EDT
We've just done a build, and I'm not sure if we're going to be able to fit in another build before the end of the day (AUS time). The additional change in comment 4 might be best left for the GA release.

The original jdoyle text is onstage:

http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6-Beta/html-single/6.2.0_Release_Notes/index.html
Comment 6 Petr Sakař 2013-10-17 03:10:32 EDT
verified original text from John Doyle is present in release notes

Note You need to log in before you can comment on or make changes to this bug.